Subject: Re: [RFH] GSoC 2015 application

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Thu, 5 Mar 2015 17:28:09 +0700

On Thu, Mar 5, 2015 at 5:05 AM, Philip Oakley <[email-masked]> wrote:
> Given the mention of the GSoC ideas list, I thought it worth writing out one
> of my little ideas..
>
>
> A possible idea is to add a date based variant of shallow clone :
>
>  'git clone --date <when> ...'
>
> in the same vein as the existing depth (shallow) clone.

I do have plenty of topics to finish up. But I wanted to see how this
feature would look like. I needed to write some code for that and for
straightening my thoughts. Totally untested, but I think it looks cool :)

I think this feature is feasible. The protocol and UI are still up in
the air. Plenty of work for any student who wants to pick this up.

Nguyễn Thái Ngọc Duy (6):
  upload-pack: move shallow deepen code out of receive_needs()
  upload-pack: move "shallow" sending code out of deepen()
  upload-pack: remove unused variable "backup"
  upload-pack: move "unshallow" sending code out of deepen()
  shallow.c: implement a generic shallow boundary finder based on rev-list
  upload-pack: example code to use get_shallow_commits_by_rev_list

 commit.h      |   2 +
 shallow.c     |  65 +++++++++++++++++++++++++++++
 upload-pack.c | 129 +++++++++++++++++++++++++++++++++++++---------------------
 3 files changed, 149 insertions(+), 47 deletions(-)

-- 
2.3.0.rc1.137.g477eb31